EDIT - bug #5862

Spring needs online resources during launch
06/03/2016 10:54 AM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.4

Severity: normal Found in Version:

Description

When you start e.g. vaadin or any import from cdmlib-apps/app-import/ the launcher fails when you are offline with the stack trace
below.

It is looking for this schema
http://www.springframework.org/schema/tx/spring-tx-4.0.xsd
We probably need to include this schema to our workspace or offline testing of application will not be possible

2016-06-03 10:50:18.455:WARN:0ejw.WebAppContext:Failed startup of context o.e.]j.w.WebAppContext{/c
dm-vaadin, file:/home/pplitzner/git/vaadin/src/main/webapp/}, /home/pplitzner/git/vaadin/src/main/we
bapp
org.springframework.beans.factory.parsing.BeanDefinitionParsingException: Configuration problem: F
ailed to import bean definitions from URL location [classpath:/eu/etaxonomy/cdm/defaultApplication
Context.xml] |Offending resource: ServletContext resource [/WEB-INF/applicationContext.xml]; nested
exception is org.springframework.beans.factory.xml.XmlBeanDefinitionStoreException: Line 30 in XM

L document from class path resource [eu/etaxonomy/cdm/defaultApplicationContext.xml] is invalid; n
ested exception is org.xml.sax.SAXParseException; lineNumber: 30; columnNumber: 67; cvc-complex-ty
pe.2.4.c: The matching wildcard is strict, but no declaration can be found for element 'tx:annotat
ion-driven'.

at org.springframework.beans.factory.parsing.FailFastProblemReporter.error (FailFastProblemRepo
rter.java:70)

at org.springframework.beans.factory.parsing.ReaderContext.error (ReaderContext.java:85)

at org.springframework.beans.factory.parsing.ReaderContext.error (ReaderContext.java:76)

at org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader.importBeanDefinit
ionResource (DefaultBeanDefinitionDocumentReader. java:229)

at org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader.parseDefaultEleme
nt (DefaultBeanDefinitionDocumentReader. java:180)

at org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader.parseBeanDefiniti
ons (DefaultBeanDefinitionDocumentReader. java:165)

at org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader.doRegisterBeanDef
initions (DefaultBeanDefinitionDocumentReader. java:138)

at org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader.registerBeanDefin
itions (DefaultBeanDefinitionDocumentReader. java:94)

at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.registerBeanDefinitions (XmlBe
anDefinitionReader. java:508)

at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.doLoadBeanDefinitions (XmlBean
DefinitionReader. java:392)

at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.loadBeanDefinitions (XmlBeanDe
finitionReader. java:336)

at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.loadBeanDefinitions (XmlBeanDe
finitionReader. java:304)

at org.springframework.beans.factory.support.AbstractBeanDefinitionReader.loadBeanDefinitions (
AbstractBeanDefinitionReader.java:181)

at org.springframework.beans.factory.support.AbstractBeanDefinitionReader.loadBeanDefinitions (
AbstractBeanDefinitionReader.java:217)

at org.springframework.beans.factory.support.AbstractBeanDefinitionReader.loadBeanDefinitions(
AbstractBeanDefinitionReader. java:188)

at org.springframework.web.context.support.XmlWebApplicationContext.loadBeanDefinitions (XmlWeb
ApplicationContext.java:125)

at org.springframework.web.context.support.XmlWebApplicationContext.loadBeanDefinitions (XmlWeb
ApplicationContext. java:94)

at org.springframework.context.support.AbstractRefreshableApplicationContext.refreshBeanFactor
y (AbstractRefreshableApplicationContext. java:129)

at org.springframework.context.support.AbstractApplicationContext.obtainFreshBeanFactory (Abstr
actApplicationContext.java:609)

at org.springframework.context.support.AbstractApplicationContext.refresh (AbstractApplicationC
ontext.java:510)

at org.springframework.web.context.ContextLoader.configureAndRefreshWebApplicationContext (Cont
extLoader. java:446)

at org.springframework.web.context.ContextLoader.initWebApplicationContext (ContextLoader. java:
328)

at org.springframework.web.context.ContextLoaderListener.contextInitialized (ContextLoaderListe
ner.java:107)

at org.eclipse.jetty.server.handler.ContextHandler.callContextInitialized (ContextHandler. java:
782)

at org.eclipse.jetty.servlet.ServletContextHandler.callContextInitialized (ServletContextHandle
r.java:424)

at org.eclipse.jetty.server.handler.ContextHandler.startContext (ContextHandler. java:774)

at org.eclipse.jetty.servlet.ServletContextHandler.startContext (ServletContextHandler. java:249

at org.eclipse.jetty.webapp.WebAppContext.startContext (WebAppContext. java:1242)

at org.eclipse.jetty.server.handler.ContextHandler.doStart (ContextHandler.java:717)

at org.eclipse.jetty.webapp.WebAppContext.doStart (WebAppContext.java:494)

at org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:64)

at org.eclipse.jetty.server.handler.HandlerWrapper.doStart (HandlerWrapper. java:95)

at org.eclipse.jetty.server.Server.doStart (Server.java:282)

at org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:64)

at net.sourceforge.eclipsejetty.starter.embedded.JettyEmbeddedAdapter.start (JettyEmbeddedAdapt
er.java:67)

at net.sourceforge.eclipsejetty.starter.common.AbstractJettyLauncherMain.launch (AbstractJettyL
auncherMain. java:84)

at net.sourceforge.eclipsejetty.starter.embedded.JettyEmbeddedLauncherMain.main (JettyEmbeddedL
auncherMain. java:42)
Caused by:
org.springframework.beans.factory.xml.XmlBeanDefinitionStoreException: Line 30 in XML document fro
m class path resource [eu/etaxonomy/cdm/defaultApplicationContext.xml] is invalid; nested exceptio
n is org.xml.sax.SAXParseException; lineNumber: 30; columnNumber: 67; cvc-complex-type.2.4.c: The
matching wildcard is strict, but no declaration can be found for element 'tx:annotation-driven'.

at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.doLoadBeanDefinitions (XmlBean
DefinitionReader. java:399)

at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.loadBeanDefinitions (XmlBeanDe
finitionReader. java:336)

at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.loadBeanDefinitions (XmlBeanDe
finitionReader. java:304)

at org.springframework.beans.factory.support.AbstractBeanDefinitionReader.loadBeanDefinitions (
AbstractBeanDefinitionReader.java:181)

at org.springframework.beans.factory.support.AbstractBeanDefinitionReader.loadBeanDefinitions (
AbstractBeanDefinitionReader.java:217)

at org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader.importBeanDefinit
ionResource (DefaultBeanDefinitionDocumentReader. java:223)

at org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader.parseDefaultEleme
nt (DefaultBeanDefinitionDocumentReader. java:180)

at org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader.parseBeanDefiniti
ons (DefaultBeanDefinitionDocumentReader. java:165)

at org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader.doRegisterBeanDef
initions (DefaultBeanDefinitionDocumentReader. java:138)

at org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader.registerBeanDefin
itions (DefaultBeanDefinitionDocumentReader. java:94)

at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.registerBeanDefinitions (XmlBe
anDefinitionReader. java:508)

at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.doLoadBeanDefinitions (XmlBean
DefinitionReader. java:392)

at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.loadBeanDefinitions (XmlBeanDe
finitionReader. java:336)

at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.loadBeanDefinitions (XmlBeanDe
finitionReader. java:304)

at org.springframework.beans.factory.support.AbstractBeanDefinitionReader.loadBeanDefinitions (
AbstractBeanDefinitionReader. java:181)

at org.springframework.beans.factory.support.AbstractBeanDefinitionReader.loadBeanDefinitions (
AbstractBeanDefinitionReader. java:217)

at org.springframework.beans.factory.support.AbstractBeanDefinitionReader.loadBeanDefinitions (
AbstractBeanDefinitionReader. java:188)

at org.springframework.web.context.support.XmlWebApplicationContext.loadBeanDefinitions (XmlWeb
ApplicationContext.java:125)

at org.springframework.web.context.support.XmlWebApplicationContext.loadBeanDefinitions (XmlWeb
ApplicationContext. java:94)

at org.springframework.context.support.AbstractRefreshableApplicationContext.refreshBeanFactor
y (AbstractRefreshableApplicationContext. java:129)

at org.springframework.context.support.AbstractApplicationContext.obtainFreshBeanFactory (Abstr
actApplicationContext.java:609)

at org.springframework.context.support.AbstractApplicationContext.refresh (AbstractApplicationC
ontext.java:510)

at org.springframework.web.context.ContextLoader.configureAndRefreshWebApplicationContext (Cont
extLoader. java:446)

at org.springframework.web.context.ContextLoader.initWebApplicationContext (ContextLoader. java:
328)

at org.springframework.web.context.ContextLoaderListener.contextInitialized (ContextLoaderListe
ner.java:107)

at org.eclipse.jetty.server.handler.ContextHandler.callContextInitialized (ContextHandler. java:
782)

at org.eclipse.jetty.servlet.ServletContextHandler.callContextInitialized (ServletContextHandle
r.java:424)

at org.eclipse.jetty.server.handler.ContextHandler.startContext (ContextHandler. java:774)

at org.eclipse.jetty.servlet.ServletContextHandler.startContext (ServletContextHandler. java:249

at org.eclipse.jetty.webapp.WebAppContext.startContext (WebAppContext. java:1242)

at org.eclipse.jetty.server.handler.ContextHandler.doStart (ContextHandler.java:717)

at org.eclipse.jetty.webapp.WebAppContext.doStart (WebAppContext.java:494)

at org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:64)

at org.eclipse.jetty.server.handler.HandlerWrapper.doStart (HandlerWrapper. java:95)

at org.eclipse.jetty.server.Server.doStart (Server. java:282)

at org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:64)

at net.sourceforge.eclipsejetty.starter.embedded.JettyEmbeddedAdapter.start (JettyEmbeddedAdapt
er.java:67)

at net.sourceforge.eclipsejetty.starter.common.AbstractJettyLauncherMain.launch (AbstractJettyL
auncherMain. java:84)

at net.sourceforge.eclipsejetty.starter.embedded.JettyEmbeddedLauncherMain.main (JettyEmbeddedL
auncherMain. java:42)
Caused by:
org.xml.sax.SAXParseException; lineNumber: 30; columnNumber: 67; cvc-complex-type.2.4.c: The match
ing wildcard is strict, but no declaration can be found for element 'tx:annotation-driven'.

at org.apache.xerces.util.ErrorHandlerWrapper.createSAXParseException (Unknown Source)

at org.apache.xerces.util.ErrorHandlerWrapper.error (Unknown Source)

at org.apache.xerces.impl.XMLErrorReporter.reportError (Unknown Source)

at org.apache.xerces.impl.XMLErrorReporter.reportError (Unknown Source)

at org.apache.xerces.impl.XMLErrorReporter.reportError (Unknown Source)

at org.apache.xerces.impl.xs.XMLSchemaValidator$XSIErrorReporter.reportError (Unknown Source)

at org.apache.xerces.impl.xs.XMLSchemaValidator.reportSchemaError (Unknown Source)

at org.apache.xerces.impl.xs.XMLSchemaValidator.handleStartElement (Unknown Source)

at org.apache.xerces.impl.xs.XMLSchemaValidator.emptyElement (Unknown Source)

at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanStartElement (Unknown Source)

at org.apache.xerces.impl.XMLDocumentFragmentScannerImplS$FragmentContentDispatcher.dispatch (Un
known Source)

at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument (Unknown Source)

at org.apache.xerces.parsers.XMLl1lConfiguration.parse (Unknown Source)

at org.apache.xerces.parsers.XMLl1lConfiguration.parse (Unknown Source)

at org.apache.xerces.parsers.XMLParser.parse (Unknown Source)

at org.apache.xerces.parsers.DOMParser.parse (Unknown Source)

at org.apache.xerces. jaxp.DocumentBuilderImpl.parse (Unknown Source)

at org.springframework.beans.factory.xml.DefaultDocumentLoader.loadDocument (DefaultDocumentLoa
der.java:76)

at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.doLoadDocument (XmlBeanDefinit
ionReader. java:429)

at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.doLoadBeanDefinitions (XmlBean
DefinitionReader. java:391)

at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.loadBeanDefinitions (XmlBeanDe
finitionReader. java:336)

at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.loadBeanDefinitions (XmlBeanDe
finitionReader. java:304)

at org.springframework.beans.factory.support.AbstractBeanDefinitionReader.loadBeanDefinitions (
AbstractBeanDefinitionReader.java:181)

at org.springframework.beans.factory.support.AbstractBeanDefinitionReader.loadBeanDefinitions (
AbstractBeanDefinitionReader.java:217)

at org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader.importBeanDefinit
ionResource (DefaultBeanDefinitionDocumentReader. java:223)

at org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader.parseDefaultEleme
nt (DefaultBeanDefinitionDocumentReader. java:180)

at org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader.parseBeanDefiniti
ons (DefaultBeanDefinitionDocumentReader. java:165)

at org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader.doRegisterBeanDef
initions (DefaultBeanDefinitionDocumentReader. java:138)

at org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader.registerBeanDefin
itions (DefaultBeanDefinitionDocumentReader. java:94)

at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.registerBeanDefinitions (XmlBe
anDefinitionReader. java:508)

at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.doLoadBeanDefinitions (XmlBean
DefinitionReader. java:392)

at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.loadBeanDefinitions (XmlBeanDe
finitionReader. java:336)

at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.loadBeanDefinitions (XmlBeanDe
finitionReader. java:304)

at org.springframework.beans.factory.support.AbstractBeanDefinitionReader.loadBeanDefinitions (
AbstractBeanDefinitionReader. java:181)

at org.springframework.beans.factory.support.AbstractBeanDefinitionReader.loadBeanDefinitions (
AbstractBeanDefinitionReader.java:217)

at org.springframework.beans.factory.support.AbstractBeanDefinitionReader.loadBeanDefinitions (
AbstractBeanDefinitionReader. java:188)

at org.springframework.web.context.support.XmlWebApplicationContext.loadBeanDefinitions (XmlWeb
ApplicationContext.java:125)

at org.springframework.web.context.support.XmlWebApplicationContext.loadBeanDefinitions (XmlWeb
ApplicationContext. java:94)

at org.springframework.context.support.AbstractRefreshableApplicationContext.refreshBeanFactor
y (AbstractRefreshableApplicationContext. java:129)

at org.springframework.context.support.AbstractApplicationContext.obtainFreshBeanFactory (Abstr
actApplicationContext. java:609)

at org.springframework.context.support.AbstractApplicationContext.refresh (AbstractApplicationC
ontext.java:510)

at org.springframework.web.context.ContextLoader.configureAndRefreshWebApplicationContext (Cont
extLoader. java:446)

at org.springframework.web.context.ContextLoader.initWebApplicationContext (ContextLoader. java:
328)

at org.springframework.web.context.ContextLoaderListener.contextInitialized (ContextLoaderListe
ner.java:107)

at org.eclipse.jetty.server.handler.ContextHandler.callContextInitialized (ContextHandler. java:
782)

at org.eclipse.jetty.servlet.ServletContextHandler.callContextInitialized(ServletContextHandle
r.java:424)

at org.eclipse.jetty.server.handler.ContextHandler.startContext (ContextHandler. java:774)

at org.eclipse.jetty.servlet.ServletContextHandler.startContext (ServletContextHandler. java:249

at org.eclipse.jetty.webapp.WebAppContext.startContext (WebAppContext.java:1242)

at org.eclipse.jetty.server.handler.ContextHandler.doStart (ContextHandler. java:717)

at org.eclipse.jetty.webapp.WebAppContext.doStart (WebAppContext. java:494)

at org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:64)

at org.eclipse.jetty.server.handler.HandlerWrapper.doStart (HandlerWrapper.java:95)

at org.eclipse.jetty.server.Server.doStart (Server. java:282)

at org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:64)

at net.sourceforge.eclipsejetty.starter.embedded.JettyEmbeddedAdapter.start (JettyEmbeddedAdapt
er.java:67)

at net.sourceforge.eclipsejetty.starter.common.AbstractJettyLauncherMain.launch (AbstractJettyL
auncherMain. java:84)
at net.sourceforge.eclipsejetty.starter.embedded.JettyEmbeddedLauncherMain.main (JettyEmbeddedL
auncherMain. java:42)
2016-06-03 10:50:18.468:INFO:0ejs.AbstractConnector:Started SelectChannelConnector@0.0.0.0:8080

Associated revisions

Revision a6¢3d024 - 11/07/2016 10:41 AM - Andreas Kohlbecker

fix #5862 by correctly managing dependencies

Revision 201dfb32 - 11/07/2016 11:45 AM - Andreas Kohlbecker

ref #5862 adding missing dependency to provide missing xsd when offline

Revision ab7b3cd1 - 11/07/2016 11:45 AM - Andreas Kohlbecker
fixing dependency management problems

® |etting versions be managed through cdmlib-parent

¢ depending project on cdmlib-remote

® removing classes cloned from cdmlib-remote
e removing obsolete version definitions and dependency overrides

History

#1 - 11/04/2016 12:42 PM - Andreas Kohlbecker

- Description updated

- Category changed from architecture to cdmlib

- Status changed from New to In Progress

- Target version changed from Unassigned CDM tickets to Release 4.4

- % Done changed from 0 to 50

This can be solved by adding the spring dependency which provides the missing xsd file in the jar.
| fixed this for cdm-vaadin by adding

<dependency>
<l==
provides the spring-tx-4.0.xsd which is otherwise missing and
breaking the dev environment when offline
—-—>
<groupld>org.springframework</groupId>
<artifactId>spring-tx</artifactId>
<version>${spring.version}</version>
<scope>test</scope>
</dependency>

to the pom.xml : commit:cdm-vaadin|af2559b

#2 - 11/07/2016 10:41 AM - Andreas Kohlbecker

- Status changed from In Progress to Resolved

Applied in changeset cdmlib-apps|a6c3d024c6c3121786f55¢474655f4f1dd2fd2a2.

#3 - 11/07/2016 10:43 AM - Andreas Kohlbecker

a much better solution is to let the versions be managed through the pom.xml of cdmlib-parent:

<dependencyManagement>
<dependencies>
<dependency>
<groupld>eu.etaxonomy</groupId>
<artifactId>cdmlib-parent</artifactId>
<version>${project.version}</version>
<type>pom</type>
<scope>import</scope>
</dependency>
</dependencies>
</dependencyManagement>
#4 - 12/01/2016 03:02 PM - Patrick Plitzner
- Status changed from Resolved to Closed
- Assignee changed from Patrick Plitzner to Andreas Kohlbecker

- % Done changed from 50 to 100

Works now

#5 - 01/03/2017 03:00 PM - Andreas Miuller

- Private changed from Yes to No
